/* ==================================================
   Desktop - Level 1
================================================== */

.menu
{
    width: 100%;
}

#menu ul
{
	list-style-type: none;
	margin: 0;
	padding: 0;
	width: 100%;
    display: flex;
    justify-content: flex-end;
}

	#menu ul li
	{
		flex: 1 1 auto;
		position: relative;
		text-align: center;
	}
	
	#menu ul li > ul
	{
		display: block;
	}

		#menu ul a
		{
			display: block;
			color: var(--white);
			text-decoration: none;
			line-height: 50px;
			padding: 0 6px;
			font-size: 0.9em;
			font-weight: 700;
			text-transform: uppercase;
			letter-spacing: 0.02em;
			font-family: var(--fontsecondary);
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
		}
    		
			#menu ul li a span
			{
				margin-left: 8px;
				font-size: 0.7em;
				color: var(--white);
			}
			
				#menu ul li.active a
				{
					color: var(--white);
					text-decoration: underline;
					
                    text-decoration-color: var(--colour3);
                    text-underline-offset: 10px;
                    text-decoration-thickness: 2px;
				}
	
				#menu ul li:hover a, 
				#menu ul li a:hover
				{
					color: var(--white);
					text-decoration: underline;
					
                    text-decoration-color: var(--colour3);
                    text-underline-offset: 10px;
                    text-decoration-thickness: 2px;
				}
				
					#menu ul li.active a span, 
					#menu ul li.active a:hover span
					{
						color: var(--white);
					}
					
					#menu ul li:hover a span
					{
						color: var(--white);
					}
					
					    .scrolled #menu ul li.active a, 
					    .scrolled #menu ul li:hover a, 
				        .scrolled #menu ul li a:hover, 
					    #topcont:hover #menu ul li.active a, 
					    #topcont:hover #menu ul li:hover a, 
				        #topcont:hover #menu ul li a:hover
				        {
				            text-decoration-color: var(--white) !important;
				        }
					    
	
/* ==================================================
   Desktop - Level 2
================================================== */

#menu ul ul
{
	position: absolute;
	margin: 0;
	visibility: hidden;
	top: 50px;
	right: 0;
	z-index: 99999;
	opacity: 0;
	background: var(--colour1) !important;
	padding: 20px;
	width: 360px !important;
	
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
	
	-webkit-transition: visibility 0s ease-out 0.1s, opacity 0.1s ease-out, top 0.1s ease-out;
    -moz-transition: visibility 0s ease-out 0.1s, opacity 0.1s ease-out, top 0.1s ease-out;
    -o-transition: visibility 0s ease-out 0.1s, opacity 0.1s ease-out, top 0.1s ease-out;
    transition: visibility 0s ease-out 0.1s, opacity 0.1s ease-out, top 0.1s ease-out;
}

	#menu ul ul li
	{
		float: none;
		margin: 0;
		display: block;
		width: 100%;
	}

		#menu ul ul li a
		{    
			color: var(--white) !important;
			font-weight: 700;
			font-size: 0.9em;
			line-height: 1.1em;
			padding: 8px 15px;
			text-transform: none;
            letter-spacing: 0em;
            text-align: right;
            white-space: wrap;
            overflow: auto;
            text-overflow: ellipsis;
		}
		
			#menu ul ul:hover a
			{
				color: var(--white);
			}
			
				#menu ul ul a:hover
				{
					color: var(--white) !important;
					background: var(--pektrondarkblue) !important;
				}
				
			#menu ul ul li:last-child a
			{
				border-bottom: 0;
			}
		
			#menu ul ul li.hasChild > a
			{
				padding-right: 20px;
			}
			
			#menu ul ul a span
			{
				position: absolute;
				top: 11px;
				right: 10px;
			}
			
			#menu ul ul li a span.fa-angle-down
			{
				display: none;
			}
			
			#menu ul li:not(:hover).hasChild ul
			{
				visibility: hidden;
				top: 60px;
			}

			#menu ul li:hover.hasChild > ul
			{
				visibility: visible;
				top: 50px;
				opacity: 1;

				-webkit-transition-delay: 0s;
				-moz-transition-delay: 0s;
				-o-transition-delay: 0s;
				transition-delay: 0s;
			}

